import { Fragment as _Fragment, jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
// (C) 2019-2026 GoodData Corporation
import cx from "classnames";
export function WidthResizer({ status }) {
    const boxClassName = cx("gd-fluidlayout-width-resizer", status, "s-gd-fluidlayout-width-resizer");
    const lineClassName = cx("width-resizer-line", status);
    const handlerClassName = cx("width-resizer-drag-handler", status);
    const showDragHandler = status === "active";
    return (_jsx("div", { className: "gd-fluidlayout-width-resizer__container", children: _jsxs("div", { className: boxClassName, children: [
                _jsx("div", { className: lineClassName }), showDragHandler ? (_jsxs(_Fragment, { children: [
                        _jsx("div", { className: handlerClassName }), _jsx("div", { className: lineClassName })
                    ] })) : null] }) }));
}
